<?php
/*
class Downloadtime{
    var $_iFilesize;
    var $_iModemtime;
    var $_iISDNtime;
    var $_iDSL768time;
	var $_iDSL1000time;
	var $_iDSL2000time;
	var $_iDSL3000time;

  function Downloadtime(
        $iModem = 41700,
        $iISDN = 47600,
        $iDSL768 = 571950,
		$iDSL1000 = 744727,
		$iDSL2000 = 1489454,
		$iDSL3000 = 2234181
    ) {
        $this->_iModemtime = $iModem;
        $this->_iISDNtime = $iISDN;
        $this->_iDSL768time = $iDSL768;
		$this->_iDSL1000time = $iDSL1000;
		$this->_iDSL2000time = $iDSL2000;
		$this->_iDSL3000time = $iDSL3000;
    }

    function _getDownloadtime($iTime){    
        $sDownloadtime = $this->_iFilesize * 8 / $iTime;
        $sDownloadtime = round($sDownloadtime);
        if($sDownloadtime == 0)
            $sDownloadtime = 1;
        return $sDownloadtime;  
    } 
    
    function getModemDownloadtime($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iModemtime);
        return $sDownloadtime;  
    }

    function getISDNDownloadtime($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iISDNtime);
        return $sDownloadtime;  
    }

    function getDSLDownloadtime($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iDSL768time);
        return $sDownloadtime;  
    }
	
	function getDSLDownloadtime_1($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iDSL1000time);
        return $sDownloadtime;  
    }
	function getDSLDownloadtime_2($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iDSL2000time);
        return $sDownloadtime;  
    }
	function getDSLDownloadtime_3($iSize){    
        $this->_iFilesize = $iSize;
        $sDownloadtime = $this->_getDownloadtime($this->_iDSL3000time);
        return $sDownloadtime;  
    }
}
*/

?>